# Class VCFSampleHeaderLine

java.lang.Object
htsjdk.variant.vcf.VCFHeaderLine
htsjdk.variant.vcf.VCFSimpleHeaderLine
htsjdk.variant.vcf.VCFSampleHeaderLine

All Implemented Interfaces:
  `VCFIDHeaderLine, Serializable, Comparable`

public class VCFSampleHeaderLine extends VCFSimpleHeaderLine
A class representing SAMPLE fields in the VCF header

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class VCFSimpleHeaderLine

`DESCRIPTION_ATTRIBUTE, ID_ATTRIBUTE`

### Fields inherited from class VCFHeaderLine

`ALLOW_UNBOUND_DESCRIPTIONS, UNBOUND_DESCRIPTION`

## Constructor Summary

Constructors
Constructor
Description
`VCFSampleHeaderLine(String line, VCFHeaderVersion version)`

## Method Summary

### Methods inherited from class VCFSimpleHeaderLine

`equals, getGenericFields, getID, hashCode, initialize, toStringEncoding`

### Methods inherited from class VCFHeaderLine

`compareTo, getKey, getValue, isHeaderLine, shouldBeAddedToDictionary, toString, toStringEncoding`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### VCFSampleHeaderLine

public VCFSampleHeaderLine(String line, VCFHeaderVersion version)